package cn.wise.sc.acquisition.business.service;

import cn.wise.im.common.http.R;
import cn.wise.sc.acquisition.business.entity.TProcessesTruck;
import cn.wise.sc.acquisition.business.model.PageQuery;
import cn.wise.sc.acquisition.business.model.query.TProcessesTruckQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ztw
 * @since 2021-04-26
 */
public interface ITProcessesTruckService extends IService<TProcessesTruck> {

	R getTodayData(String deliveryDate);

	R<IPage<TProcessesTruck>> getPage(PageQuery pageQuery, String deliveryDate);

	R save(TProcessesTruckQuery query);

	R update(TProcessesTruckQuery query);

	R<TProcessesTruck> getDetail(String Uid);

}
